#pragma once

#include "communication/SocketException.h"

class SocketTimeoutException : public SocketException
{
public:

    SocketTimeoutException(const AgString &message) : SocketException(message) {}
    SocketTimeoutException(const AgString &message, const AgString &details) : SocketException(message, details) {}
};
